<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage (2021)</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Savage-2021-3/digital-comic/917150</Web>
  <Summary>Mad geniuses Max Bemis (Worst X-Man Ever) and Nate Stockman (Spidey) take you to a magical place filled with sun, fun, and…monsters trying to eat you????

Project Bizarre's quest to unleash the creatures from the odd dimension known as the Faraway beyond the British Isles is ON -- the Giant Dinos have gone GLOBAL! Can Savage save the tropics or will the dinos rule Earth again?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB917150], [ASINB08TX5FRRK]</Notes>
  <Publisher>Valiant</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
